import React from 'react';
import { Styled } from '../constructors/constructWithOptions';
import css from '../constructors/css';
import withTheme from '../hoc/withTheme';
import useTheme from '../hooks/useTheme';
import ThemeProvider, { ThemeConsumer, ThemeContext } from '../models/ThemeProvider';
import { NativeTarget } from '../types';
import isStyledComponent from '../utils/isStyledComponent';
declare const styled: (<Target extends NativeTarget>(tag: Target) => Styled<"native", Target, Target extends import("../types").KnownTarget ? object & React.ComponentPropsWithRef<Target> : object, object>) & {
    ActivityIndicator: Styled<"native", typeof import("react-native").ActivityIndicator, object & import("react-native").ActivityIndicatorProps & React.RefAttributes<import("react-native").ActivityIndicator>, object>;
    Button: Styled<"native", typeof import("react-native").Button, object & import("react-native").ButtonProps & React.RefAttributes<import("react-native").Button>, object>;
    DatePickerIOS: Styled<"native", typeof import("react-native").DatePickerIOS, object & import("react-native").DatePickerIOSProps & React.RefAttributes<import("react-native").DatePickerIOS>, object>;
    DrawerLayoutAndroid: Styled<"native", typeof import("react-native").DrawerLayoutAndroid, object & import("react-native").DrawerLayoutAndroidProps & React.RefAttributes<import("react-native").DrawerLayoutAndroid>, object>;
    FlatList: Styled<"native", typeof import("react-native").FlatList, object & import("react-native").FlatListProps<unknown> & React.RefAttributes<import("react-native").FlatList<unknown>>, object>;
    Image: Styled<"native", typeof import("react-native").Image, object & import("react-native").ImageProps & React.RefAttributes<import("react-native").Image>, object>;
    ImageBackground: Styled<"native", typeof import("react-native").ImageBackground, object & import("react-native").ImageBackgroundProps & React.RefAttributes<import("react-native").ImageBackground>, object>;
    KeyboardAvoidingView: Styled<"native", typeof import("react-native").KeyboardAvoidingView, object & import("react-native").KeyboardAvoidingViewProps & React.RefAttributes<import("react-native").KeyboardAvoidingView>, object>;
    Modal: Styled<"native", typeof import("react-native").Modal, object & import("react-native").ModalBaseProps & import("react-native").ModalPropsIOS & import("react-native").ModalPropsAndroid & import("react-native").ViewProps & React.RefAttributes<import("react-native").Modal>, object>;
    Pressable: Styled<"native", import("react").ForwardRefExoticComponent<import("react-native").PressableProps & import("react").RefAttributes<import("react-native").View>>, object & import("react-native").PressableProps & import("react").RefAttributes<import("react-native").View>, object>;
    ProgressBarAndroid: Styled<"native", typeof import("react-native").ProgressBarAndroid, object & import("react-native").ProgressBarAndroidProps & React.RefAttributes<import("react-native").ProgressBarAndroid>, object>;
    ProgressViewIOS: Styled<"native", typeof import("react-native").ProgressViewIOS, object & import("react-native").ProgressViewIOSProps & React.RefAttributes<import("react-native").ProgressViewIOS>, object>;
    RefreshControl: Styled<"native", typeof import("react-native").RefreshControl, object & import("react-native").RefreshControlProps & React.RefAttributes<import("react-native").RefreshControl>, object>;
    SafeAreaView: Styled<"native", typeof import("react-native").SafeAreaView, object & import("react-native").ViewProps & React.RefAttributes<import("react-native").SafeAreaView>, object>;
    ScrollView: Styled<"native", typeof import("react-native").ScrollView, object & import("react-native").ScrollViewProps & React.RefAttributes<import("react-native").ScrollView>, object>;
    SectionList: Styled<"native", typeof import("react-native").SectionList, object & import("react-native").SectionListProps<unknown, unknown> & React.RefAttributes<import("react-native").SectionList<unknown, unknown>>, object>;
    Slider: Styled<"native", typeof import("react-native").Slider, object & import("react-native").SliderProps & React.RefAttributes<import("react-native").Slider>, object>;
    Switch: Styled<"native", typeof import("react-native").Switch, object & import("react-native").SwitchProps & React.RefAttributes<import("react-native").Switch>, object>;
    Text: Styled<"native", typeof import("react-native").Text, object & import("react-native").TextProps & React.RefAttributes<import("react-native").Text>, object>;
    TextInput: Styled<"native", typeof import("react-native").TextInput, object & import("react-native").TextInputProps & React.RefAttributes<import("react-native").TextInput>, object>;
    TouchableHighlight: Styled<"native", typeof import("react-native").TouchableHighlight, object & import("react-native").TouchableHighlightProps & React.RefAttributes<import("react-native").TouchableHighlight>, object>;
    TouchableOpacity: Styled<"native", typeof import("react-native").TouchableOpacity, object & import("react-native").TouchableOpacityProps & React.RefAttributes<import("react-native").TouchableOpacity>, object>;
    View: Styled<"native", typeof import("react-native").View, object & import("react-native").ViewProps & React.RefAttributes<import("react-native").View>, object>;
    VirtualizedList: Styled<"native", typeof import("react-native").VirtualizedList, object & import("react-native").VirtualizedListProps<unknown> & React.RefAttributes<import("react-native").VirtualizedList<unknown>>, object>;
};
export { IStyledComponent, IStyledComponentFactory, IStyledStatics, NativeTarget, StyledOptions, } from '../types';
export { css, isStyledComponent, ThemeProvider, ThemeConsumer, ThemeContext, withTheme, useTheme };
export default styled;
